# Photos Library API

Manage photos, videos, and albums created by your app in Google Photos

- [REST Resource: v1.albums](https://developers.google.com/photos/library/reference/rest#v1.albums)
- [REST Resource: v1.mediaItems](https://developers.google.com/photos/library/reference/rest#v1.mediaItems)

## Service: photoslibrary.googleapis.com

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://photoslibrary.googleapis.com`

## REST Resource: [v1.albums](https://developers.google.com/photos/library/reference/rest/v1/albums)

| Methods ||
|---|---|
| `https://developers.google.com/photos/library/reference/rest/v1/albums/addEnrichment` | `POST /v1/albums/{albumId}:addEnrichment` Adds an enrichment at a specified position in an app created created album. |
| `https://developers.google.com/photos/library/reference/rest/v1/albums/batchAddMediaItems` | `POST /v1/albums/{albumId}:batchAddMediaItems` Adds one or more app created media items in a user's Google Photos library to an app created album. |
| `https://developers.google.com/photos/library/reference/rest/v1/albums/batchRemoveMediaItems` | `POST /v1/albums/{albumId}:batchRemoveMediaItems` Removes one or more app created media items from a specified app created album. |
| `https://developers.google.com/photos/library/reference/rest/v1/albums/create` | `POST /v1/albums` Creates an album in a user's Google Photos library. |
| `https://developers.google.com/photos/library/reference/rest/v1/albums/get` | `GET /v1/albums/{albumId}` Returns the app created album based on the specified `albumId`. |
| `https://developers.google.com/photos/library/reference/rest/v1/albums/list` | `GET /v1/albums` Lists all albums created by your app. |
| `https://developers.google.com/photos/library/reference/rest/v1/albums/patch` | `PATCH /v1/albums/{album.id}` Update the app created album with the specified `id`. |

## REST Resource: [v1.mediaItems](https://developers.google.com/photos/library/reference/rest/v1/mediaItems)

| Methods ||
|---|---|
| `https://developers.google.com/photos/library/reference/rest/v1/mediaItems/batchCreate` | `POST /v1/mediaItems:batchCreate` Creates one or more media items in a user's Google Photos library. |
| `https://developers.google.com/photos/library/reference/rest/v1/mediaItems/batchGet` | `GET /v1/mediaItems:batchGet` Returns the list of app created media items for the specified media item identifiers. |
| `https://developers.google.com/photos/library/reference/rest/v1/mediaItems/get` | `GET /v1/mediaItems/{mediaItemId}` Returns the app created media item for the specified media item identifier. |
| `https://developers.google.com/photos/library/reference/rest/v1/mediaItems/list` | `GET /v1/mediaItems` List all media items created by your app from a user's Google Photos library. |
| `https://developers.google.com/photos/library/reference/rest/v1/mediaItems/patch` | `PATCH /v1/mediaItems/{mediaItem.id}` Update the app created media item with the specified `id`. |
| `https://developers.google.com/photos/library/reference/rest/v1/mediaItems/search` | `POST /v1/mediaItems:search` Searches for app created media items in a user's Google Photos library. |